Subject: Re: bug#47616: 27.1; hardening mail-envelope-from

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 06 May 2021 12:22:53 +0200

Francesco Potortì <[email-masked]> writes:

> Hardening mail-envelope-from from sendmail.el by narrowing to the
> headers, as the doc says, corrects the problem that I observed.

Thanks -- I don't think we should change mail-envelope-from itself here,
because it may conceivably be called from other contexts.  Instead the
callers in sendmail/smtpmail should be altered to narrow to the headers
before calling it, and I've now done this in Emacs 28.  (This uncovered
a similar bug in smtpmail.el, too.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no